=== modified file 'include/my_pthread.h'
--- include/my_pthread.h	2008-06-25 05:29:13 +0000
+++ include/my_pthread.h	2008-06-28 01:01:34 +0000
@@ -150,13 +150,6 @@
 #define pthread_cond_timedwait(A,B,C) my_pthread_cond_timedwait((A),(B),(C))
 #endif
 
-#if !defined( HAVE_NONPOSIX_PTHREAD_GETSPECIFIC)
-#define my_pthread_getspecific(A,B) ((A) pthread_getspecific(B))
-#else
-#define my_pthread_getspecific(A,B) ((A) my_pthread_getspecific_imp(B))
-void *my_pthread_getspecific_imp(pthread_key_t key);
-#endif
-
 #ifndef HAVE_LOCALTIME_R
 struct tm *localtime_r(const time_t *clock, struct tm *res);
 #endif

=== modified file 'mysql-test/t/mysqlslap.test'
--- mysql-test/t/mysqlslap.test	2008-06-25 05:29:13 +0000
+++ mysql-test/t/mysqlslap.test	2008-06-28 01:01:34 +0000
@@ -1,6 +1,4 @@
 # Can't run test of external client with embedded server
---source include/not_embedded.inc
---source include/not_windows.inc
 
 --exec $MYSQL_SLAP --silent --concurrency=5 --iterations=20 --number-int-cols=2 --number-char-cols=3 --auto-generate-sql
 

=== modified file 'mysys/my_pthread.c'
--- mysys/my_pthread.c	2008-06-25 05:29:13 +0000
+++ mysys/my_pthread.c	2008-06-28 01:01:34 +0000
@@ -66,21 +66,6 @@
 }
 #endif
 
-
-/* To allow use of pthread_getspecific with two arguments */
-
-#ifdef HAVE_NONPOSIX_PTHREAD_GETSPECIFIC
-#undef pthread_getspecific
-
-void *my_pthread_getspecific_imp(pthread_key_t key)
-{
-  void *value;
-  if (pthread_getspecific(key,(void *) &value))
-    return 0;
-  return value;
-}
-#endif
-
 /*
   Some functions for RTS threads, AIX, Siemens Unix and UnixWare 7
   (and DEC OSF/1 3.2 too)

=== modified file 'sql/mysql_priv.h'
--- sql/mysql_priv.h	2008-06-25 05:29:13 +0000
+++ sql/mysql_priv.h	2008-06-28 01:01:34 +0000
@@ -684,7 +684,7 @@
 extern pthread_key(THD*, THR_THD);
 inline THD *_current_thd(void)
 {
-  return my_pthread_getspecific_ptr(THD*,THR_THD);
+  return (THD *)pthread_getspecific(THR_THD);
 }
 #define current_thd _current_thd()
 

=== modified file 'sql/table.cc'
--- sql/table.cc	2008-06-25 05:29:13 +0000
+++ sql/table.cc	2008-06-28 01:01:34 +0000
@@ -510,7 +510,7 @@
   /* No handling of text based files yet */
   if (table_type == 1)
   {
-    root_ptr= my_pthread_getspecific_ptr(MEM_ROOT**, THR_MALLOC);
+    root_ptr= (MEM_ROOT **)pthread_getspecific(THR_MALLOC);
     old_root= *root_ptr;
     *root_ptr= &share->mem_root;
     error= open_binary_frm(thd, share, head, file);

=== modified file 'sql/thr_malloc.cc'
--- sql/thr_malloc.cc	2008-06-25 05:29:13 +0000
+++ sql/thr_malloc.cc	2008-06-28 01:01:34 +0000
@@ -34,7 +34,7 @@
 
 void *sql_alloc(size_t Size)
 {
-  MEM_ROOT *root= *my_pthread_getspecific_ptr(MEM_ROOT**,THR_MALLOC);
+  MEM_ROOT *root= *(MEM_ROOT **)pthread_getspecific(THR_MALLOC);
   return alloc_root(root,Size);
 }
 

=== modified file 'sql/tztime.cc'
--- sql/tztime.cc	2008-06-25 05:29:13 +0000
+++ sql/tztime.cc	2008-06-28 01:01:34 +0000
@@ -445,8 +445,7 @@
     }
 
     if (end_t == MY_TIME_T_MAX ||
-        (cur_off_and_corr > 0) &&
-        (end_t >= MY_TIME_T_MAX - cur_off_and_corr))
+        ((cur_off_and_corr > 0) && (end_t >= MY_TIME_T_MAX - cur_off_and_corr)))
       /* end of t space */
       break;
 

